更新音频路由组
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
修改 audioRoutingGroup 的源和接收器。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 |
权限(从最低特权到最高特权) |
| 委派(工作或学校帐户) |
不支持 |
| 委派(个人 Microsoft 帐户) |
不支持 |
| 应用程序 |
Calls.JoinGroupCalls.All、Calls.InitiateGroupCalls.All |
HTTP 请求
PATCH /app/calls/{id}/audioRoutingGroups/{id}
PATCH /communications/calls/{id}/audioRoutingGroups/{id}
注意:/app 路径已弃用。 今后将使用 /communications 路径。
| 名称 |
说明 |
| Authorization |
Bearer {token}。必需。 |
请求正文
在请求正文中,提供应更新的相关字段的值。 请求正文中不包括的现有属性将保留其以前的值,或根据对其他属性值的更改重新计算。 为了获得最佳性能,请勿加入尚未更改的现有值。
| 属性 |
类型 |
Description |
| receivers |
字符串集合 |
audioRoutingGroup 中的目标参与者。 |
| routingMode |
String |
可取值为:oneToOne、multicast。 |
| 源 |
String 集合 |
audioRoutingGroup 中的源参与者。 |
响应
如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK audioRoutingGroup 对象。
示例
请求
下面为请求示例。
PATCH https://graph.microsoft.com/beta/communications/calls/{id}/audioRoutingGroups/{id}
Content-Type: application/json
{
"id": "oneToOne",
"routingMode": "oneToOne",
"sources": [
"632899f8-2ea1-4604-8413-27bd2892079f"
],
"receivers": [
"550fae72-d251-43ec-868c-373732c2704f",
"72f988bf-86f1-41af-91ab-2d7cd011db47"
]
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var audioRoutingGroup = new AudioRoutingGroup
{
Id = "oneToOne",
RoutingMode = RoutingMode.OneToOne,
Sources = new List<String>()
{
"632899f8-2ea1-4604-8413-27bd2892079f"
},
Receivers = new List<String>()
{
"550fae72-d251-43ec-868c-373732c2704f",
"72f988bf-86f1-41af-91ab-2d7cd011db47"
}
};
await graphClient.Communications.Calls["{call-id}"].AudioRoutingGroups["{audioRoutingGroup-id}"]
.Request()
.UpdateAsync(audioRoutingGroup);
const options = {
authProvider,
};
const client = Client.init(options);
const audioRoutingGroup = {
id: 'oneToOne',
routingMode: 'oneToOne',
sources: [
'632899f8-2ea1-4604-8413-27bd2892079f'
],
receivers: [
'550fae72-d251-43ec-868c-373732c2704f',
'72f988bf-86f1-41af-91ab-2d7cd011db47'
]
};
await client.api('/communications/calls/{id}/audioRoutingGroups/{id}')
.version('beta')
.update(audioRoutingGroup);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/communications/calls/{id}/audioRoutingGroups/{id}"]]];
[urlRequest setHTTPMethod:@"PATCH"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphAudioRoutingGroup *audioRoutingGroup = [[MSGraphAudioRoutingGroup alloc] init];
[audioRoutingGroup setId:@"oneToOne"];
[audioRoutingGroup setRoutingMode: [MSGraphRoutingMode oneToOne]];
NSMutableArray *sourcesList = [[NSMutableArray alloc] init];
[sourcesList addObject: @"632899f8-2ea1-4604-8413-27bd2892079f"];
[audioRoutingGroup setSources:sourcesList];
NSMutableArray *receiversList = [[NSMutableArray alloc] init];
[receiversList addObject: @"550fae72-d251-43ec-868c-373732c2704f"];
[receiversList addObject: @"72f988bf-86f1-41af-91ab-2d7cd011db47"];
[audioRoutingGroup setReceivers:receiversList];
NSError *error;
NSData *audioRoutingGroupData = [audioRoutingGroup getSerializedDataWithError:&error];
[urlRequest setHTTPBody:audioRoutingGroupData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
AudioRoutingGroup audioRoutingGroup = new AudioRoutingGroup();
audioRoutingGroup.id = "oneToOne";
audioRoutingGroup.routingMode = RoutingMode.ONE_TO_ONE;
LinkedList<String> sourcesList = new LinkedList<String>();
sourcesList.add("632899f8-2ea1-4604-8413-27bd2892079f");
audioRoutingGroup.sources = sourcesList;
LinkedList<String> receiversList = new LinkedList<String>();
receiversList.add("550fae72-d251-43ec-868c-373732c2704f");
receiversList.add("72f988bf-86f1-41af-91ab-2d7cd011db47");
audioRoutingGroup.receivers = receiversList;
graphClient.communications().calls("{id}").audioRoutingGroups("{id}")
.buildRequest()
.patch(audioRoutingGroup);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewAudioRoutingGroup()
id := "oneToOne"
requestBody.SetId(&id)
routingMode := "oneToOne"
requestBody.SetRoutingMode(&routingMode)
requestBody.SetSources( []String {
"632899f8-2ea1-4604-8413-27bd2892079f",
}
requestBody.SetReceivers( []String {
"550fae72-d251-43ec-868c-373732c2704f",
"72f988bf-86f1-41af-91ab-2d7cd011db47",
}
callId := "call-id"
audioRoutingGroupId := "audioRoutingGroup-id"
graphClient.Communications().CallsById(&callId).AudioRoutingGroupsById(&audioRoutingGroupId).Patch(requestBody)
Import-Module Microsoft.Graph.CloudCommunications
$params = @{
Id = "oneToOne"
RoutingMode = "oneToOne"
Sources = @(
"632899f8-2ea1-4604-8413-27bd2892079f"
)
Receivers = @(
"550fae72-d251-43ec-868c-373732c2704f"
"72f988bf-86f1-41af-91ab-2d7cd011db47"
)
}
Update-MgCommunicationCallAudioRoutingGroup -CallId $callId -AudioRoutingGroupId $audioRoutingGroupId -BodyParameter $params
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"id": "oneToOne",
"routingMode": "oneToOne",
"sources": [
"632899f8-2ea1-4604-8413-27bd2892079f"
],
"receivers": [
"550fae72-d251-43ec-868c-373732c2704f",
"72f988bf-86f1-41af-91ab-2d7cd011db47"
]
}